Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1171624 - Review Request: statismo - C++ Framework for building Statistical Image And Shape Models
Summary: Review Request: statismo - C++ Framework for building Statistical Image And S...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1162993 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-12-08 09:14 UTC by Arnaud Gelas
Modified: 2016-02-08 13:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-08 13:46:33 UTC


Attachments (Terms of Use)

Description Arnaud Gelas 2014-12-08 09:14:48 UTC
Spec URL: https://www.dropbox.com/s/2qmgqz78314la7p/statismo.spec?dl=0
SRPM URL: https://www.dropbox.com/s/wvmh4kt73z79kki/statismo-0.10.1-1.fc20.src.rpm?dl=0
Description: Statismo is a c++ framework for statistical shape modeling. It supports all shape modeling tasks, from model building to shape analysis. Although the main focus of statismo lies on shape modeling, it is designed such that it supports any kind of PCA based statistical model, including statistical deformation models and intensiy models. One of the main goals of statismo is to make the exchange of statistical shape models easy. 
Fedora Account System Username: arnaudgelas

Comment 1 Antonio Trande 2014-12-08 10:48:33 UTC
*** Bug 1162993 has been marked as a duplicate of this bug. ***

Comment 2 Antonio Trande 2014-12-08 11:34:18 UTC
RPM buildings fail in rawhide, there are some fixes to do. Make at least a scratch build test before to post a new release. 
See http://fedoraproject.org/wiki/Using_the_Koji_build_system

Comment 3 Arnaud Gelas 2014-12-08 15:09:35 UTC
Antonio,

I have fixed errors on rawhide, see 

  http://koji.fedoraproject.org/koji/taskinfo?taskID=8321945

Best

Comment 4 Antonio Trande 2014-12-08 16:27:18 UTC
- RPM build system provides a %cmake macro; see the output of command
  'rpm --eval %cmake' to expand it.

- Use 'cmake -LAH' to list all the variables from the CMake including whose from this project. Use them to set properly %build section on your SPEC file. For instance, 

BUILD_TESTING:BOOL=
EIGEN3_INCLUDE_DIR:PATH=
...

- All macros mimicking autoconf variables are at http://fedoraproject.org/wiki/Packaging:RPMMacros

- VTK and ITK libraries are already provided in Fedora; you must erase all bundled files in the source archive and compile against those system ones.
http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

- Why parallel make macro is commented? (make -C %{_target_platform} # %{?_smp_mflags})

- I don't see any License file packaged.

- Your package installs shared libraries in a public directory; it needs ldconfig tasks.
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries

- At least two executables are not detected:

...
-- Could NOT find Gnuplot (missing:  GNUPLOT_EXECUTABLE) 
-- Could NOT find Wget (missing:  WGET_EXECUTABLE)
..

Comment 5 Arnaud Gelas 2014-12-09 13:20:14 UTC
- I have replaced 'basic' cmake command by provided %cmake macro

- I have set most of variables returned by 'cmake -LAH'

- Note there is no files coming from vtk nor itk in this package. Files starting with vtk* or itk* are from statismo itself.

- I commented parallel build, cause it was failing on my VM (most likely due to lack of RAM available). I commented it out, if it keeps on failing, I shall remove parallel build

- License file and ReadMe are now packaged

- fix ldconfig tasks

- add gnuplot and wget in the BuildRequires list

Thanks for all your comments!!

Comment 6 Antonio Trande 2014-12-09 15:51:10 UTC
- gcc-c++ BR is not needed.
  See http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

- List LICENSE file with %license macro

- doc sub-package does not install the LICENSE file 

- /usr/lib64/cmake directory seems co-owned with other packages.
  Add 
  %dir %{_libdir}/cmake

- Please, write in %changelog every your modification
  See http://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

- Fix these paths
  DBoost_INCLUDE_DIR:PATH=%{_prefix}/include --> DBoost_INCLUDE_DIR:PATH=%{_includedir}
  DINSTALL_BIN_DIR:PATH=bin --> DINSTALL_BIN_DIR:PATH=%{_bindir}
  DINSTALL_CMAKE_DIR:PATH=%{_lib}/cmake/%{name} --> DINSTALL_CMAKE_DIR:PATH=%{_libdir}/cmake/%{name}
  DINSTALL_LIB_DIR:PATH=%{_lib} --> DINSTALL_LIB_DIR:PATH=%{_libdir}

- Packages should try to preserve timestamps of original installed files.
  Use -p -m options with the 'install' command. 

- There are a lot of unused-direct-shlib-dependency warnings.
  https://fedoraproject.org/wiki/Common_Rpmlint_issues?rd=PackageMaintainers/Common_Rpmlint_Issues#unused-direct-shlib-dependency

  Try to set LDFLAGS with '-Wl,--as-needed'.

- 'Requires' packages should be automatically detected at the installation time; remove

  Requires: 	hdf5
  Requires: 	InsightToolkit
  Requires: 	vtk	 

- %dir %{_docdir}/%{name}/
  %{_docdir}/%{name}/*

  are equivalent to

  %{_docdir}/%{name}/

- Remove dot to the 'Summary' line

- Documentation is not a valid Group in Fedora.
  See http://fedoraproject.org/wiki/RPMGroups


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated". 17 files have unknown license.
     Detailed output of licensecheck in
     /home/sagitter/Downloads/statismo/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/cmake
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in statismo-
     doc , statismo-devel
[ ]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: statismo-0.10.1-1.fc22.x86_64.rpm
          statismo-doc-0.10.1-1.fc22.noarch.rpm
          statismo-devel-0.10.1-1.fc22.x86_64.rpm
          statismo-0.10.1-1.fc22.src.rpm
statismo.x86_64: W: summary-ended-with-dot C Framework for building Statistical Image And Shape Models.
statismo.x86_64: W: spelling-error %description -l en_US intensiy -> intensity, intensify, intensive
statismo.x86_64: W: non-standard-group Scientific
statismo.x86_64: W: spurious-executable-perm /usr/share/doc/statismo/LICENSE
statismo.x86_64: W: spurious-executable-perm /usr/share/doc/statismo/ReadMe.md
statismo-doc.noarch: W: non-standard-group documentation
statismo-doc.noarch: W: spurious-executable-perm /usr/share/doc/statismo/LICENSE
statismo-doc.noarch: W: spurious-executable-perm /usr/share/doc/statismo/ReadMe.md
statismo-devel.x86_64: W: only-non-binary-in-usr-lib
statismo-devel.x86_64: W: no-documentation
statismo.src: W: summary-ended-with-dot C Framework for building Statistical Image And Shape Models.
statismo.src: W: spelling-error %description -l en_US intensiy -> intensity, intensify, intensive
statismo.src: W: non-standard-group Scientific
statismo.src:2: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)
4 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@localhost /]# rpmlint statismo-devel statismo-doc statismo
statismo-devel.x86_64: W: only-non-binary-in-usr-lib
statismo-devel.x86_64: W: no-documentation
statismo-doc.noarch: W: non-standard-group documentation
statismo-doc.noarch: W: spurious-executable-perm /usr/share/doc/statismo/LICENSE
statismo-doc.noarch: W: spurious-executable-perm /usr/share/doc/statismo/ReadMe.md
statismo.x86_64: W: summary-ended-with-dot C Framework for building Statistical Image And Shape Models.
statismo.x86_64: W: spelling-error %description -l en_US intensiy -> intensity, intensify, intensive
statismo.x86_64: W: non-standard-group Scientific
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libstatismo_core.so.0.10
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkDomainsChemistry.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libz.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libjsoncpp.so.0
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libexpat.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOPLY.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkGUISupportQtOpenGL.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libjpeg.so.62
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libpng16.so.16
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libtiff.so.5
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libfreetype.so.6
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOAMR.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libhdf5.so.8
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libdl.so.2
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libhdf5_hl.so.8
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkGUISupportQtSQL.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOSQL.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtksqlite.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingFreeTypeOpenGL.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingMath.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingLIC.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkGUISupportQtWebkit.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkViewsQt.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOParallel.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIONetCDF.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libnetcdf_c++.so.4
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libnetcdf.so.7
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingStencil.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkWrappingPython27Core.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libpython2.7.so.1.0
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOExport.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingGL2PS.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libgl2ps.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOInfovis.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libxml2.so.2
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOExodus.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkViewsGeovis.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOLSDyna.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libtheoraenc.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libtheoradec.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libogg.so.0
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOImport.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOMINC.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkInteractionImage.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingVolumeOpenGL.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingStatistics.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkWrappingJava.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersSMP.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingMorphological.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersFlowPaths.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingImage.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersGeneric.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersStatisticsGnuR.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkViewsContext2D.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOMovie.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingLOD.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingQt.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOEnSight.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersProgrammable.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersVerdict.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOVideo.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkLocalExample.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersParallelImaging.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingVolumeAMR.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkTestingRendering.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersSelection.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersHyperTree.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libboost_thread.so.1.55.0
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libboost_system.so.1.55.0
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libboost_date_time.so.1.55.0
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libm.so.6
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkexoIIc.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkViewsInfovis.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkChartsCore.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkCommonColor.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkGeovisCore.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkInfovisLayout.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkInfovisCore.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkproj4.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOXMLParser.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOGeometry.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingContext2D.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkViewsCore.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkInteractionWidgets.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersHybrid.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingAnnotation.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingColor.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkGUISupportQt.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkInteractionStyle.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingOpenGL.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingHybrid.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libGLU.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libSM.so.6
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libICE.so.6
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libX11.so.6
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libXext.so.6
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libXt.so.6
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libQtGui.so.4
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libQtNetwork.so.4
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libQtCore.so.4
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingLabel.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingFreeType.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkftgl.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /lib64/libGL.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersTexture.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkverdict.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersImaging.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingGeneral.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingSources.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersParallel.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersModeling.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersAMR.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkParallelCore.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingVolume.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkRenderingCore.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersSources.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersExtraction.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersStatistics.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingFourier.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkalglib.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersGeometry.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkImagingCore.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOImage.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkIOCore.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkDICOMParser.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkmetaio.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkCommonComputationalGeometry.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkFiltersCore.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkCommonMisc.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkCommonSystem.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtksys.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_VTK.so.0.10.1 /usr/lib64/vtk/libvtkCommonMath.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_core.so.0.10.1 /lib64/libhdf5.so.8
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_core.so.0.10.1 /lib64/libz.so.1
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_core.so.0.10.1 /lib64/libdl.so.2
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_core.so.0.10.1 /lib64/libm.so.6
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_core.so.0.10.1 /lib64/libboost_thread.so.1.55.0
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_core.so.0.10.1 /lib64/libboost_system.so.1.55.0
statismo.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libstatismo_core.so.0.10.1 /lib64/libboost_date_time.so.1.55.0
statismo.x86_64: W: spurious-executable-perm /usr/share/doc/statismo/LICENSE
statismo.x86_64: W: spurious-executable-perm /usr/share/doc/statismo/ReadMe.md
3 packages and 0 specfiles checked; 0 errors, 149 warnings.
]0;<mock-chroot><mock-chroot>[root@localhost /]# echo 'rpmlint-done:'



Requires
--------
statismo-devel (rpmlib, GLIBC filtered):
    libstatismo_VTK.so.0.10()(64bit)
    libstatismo_core.so.0.10()(64bit)
    statismo(x86-64)

statismo-doc (rpmlib, GLIBC filtered):

statismo (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    InsightToolkit
    boost-thread
    hdf5
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libICE.so.6()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXt.so.6()(64bit)
    libboost_date_time.so.1.55.0()(64bit)
    libboost_system.so.1.55.0()(64bit)
    libboost_thread.so.1.55.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libexpat.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgl2ps.so.1()(64bit)
    libhdf5.so.8()(64bit)
    libhdf5_cpp.so.8()(64bit)
    libhdf5_hl.so.8()(64bit)
    libjpeg.so.62()(64bit)
    libjsoncpp.so.0()(64bit)
    libm.so.6()(64bit)
    libnetcdf.so.7()(64bit)
    libnetcdf_c++.so.4()(64bit)
    libogg.so.0()(64bit)
    libpng16.so.16()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstatismo_core.so.0.10()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libtheoradec.so.1()(64bit)
    libtheoraenc.so.1()(64bit)
    libtiff.so.5()(64bit)
    libvtkChartsCore.so.1()(64bit)
    libvtkCommonColor.so.1()(64bit)
    libvtkCommonComputationalGeometry.so.1()(64bit)
    libvtkCommonCore.so.1()(64bit)
    libvtkCommonDataModel.so.1()(64bit)
    libvtkCommonExecutionModel.so.1()(64bit)
    libvtkCommonMath.so.1()(64bit)
    libvtkCommonMisc.so.1()(64bit)
    libvtkCommonSystem.so.1()(64bit)
    libvtkCommonTransforms.so.1()(64bit)
    libvtkDICOMParser.so.1()(64bit)
    libvtkDomainsChemistry.so.1()(64bit)
    libvtkFiltersAMR.so.1()(64bit)
    libvtkFiltersCore.so.1()(64bit)
    libvtkFiltersExtraction.so.1()(64bit)
    libvtkFiltersFlowPaths.so.1()(64bit)
    libvtkFiltersGeneral.so.1()(64bit)
    libvtkFiltersGeneric.so.1()(64bit)
    libvtkFiltersGeometry.so.1()(64bit)
    libvtkFiltersHybrid.so.1()(64bit)
    libvtkFiltersHyperTree.so.1()(64bit)
    libvtkFiltersImaging.so.1()(64bit)
    libvtkFiltersModeling.so.1()(64bit)
    libvtkFiltersParallel.so.1()(64bit)
    libvtkFiltersParallelImaging.so.1()(64bit)
    libvtkFiltersProgrammable.so.1()(64bit)
    libvtkFiltersSMP.so.1()(64bit)
    libvtkFiltersSelection.so.1()(64bit)
    libvtkFiltersSources.so.1()(64bit)
    libvtkFiltersStatistics.so.1()(64bit)
    libvtkFiltersStatisticsGnuR.so.1()(64bit)
    libvtkFiltersTexture.so.1()(64bit)
    libvtkFiltersVerdict.so.1()(64bit)
    libvtkGUISupportQt.so.1()(64bit)
    libvtkGUISupportQtOpenGL.so.1()(64bit)
    libvtkGUISupportQtSQL.so.1()(64bit)
    libvtkGUISupportQtWebkit.so.1()(64bit)
    libvtkGeovisCore.so.1()(64bit)
    libvtkIOAMR.so.1()(64bit)
    libvtkIOCore.so.1()(64bit)
    libvtkIOEnSight.so.1()(64bit)
    libvtkIOExodus.so.1()(64bit)
    libvtkIOExport.so.1()(64bit)
    libvtkIOGeometry.so.1()(64bit)
    libvtkIOImage.so.1()(64bit)
    libvtkIOImport.so.1()(64bit)
    libvtkIOInfovis.so.1()(64bit)
    libvtkIOLSDyna.so.1()(64bit)
    libvtkIOLegacy.so.1()(64bit)
    libvtkIOMINC.so.1()(64bit)
    libvtkIOMovie.so.1()(64bit)
    libvtkIONetCDF.so.1()(64bit)
    libvtkIOPLY.so.1()(64bit)
    libvtkIOParallel.so.1()(64bit)
    libvtkIOSQL.so.1()(64bit)
    libvtkIOVideo.so.1()(64bit)
    libvtkIOXML.so.1()(64bit)
    libvtkIOXMLParser.so.1()(64bit)
    libvtkImagingColor.so.1()(64bit)
    libvtkImagingCore.so.1()(64bit)
    libvtkImagingFourier.so.1()(64bit)
    libvtkImagingGeneral.so.1()(64bit)
    libvtkImagingHybrid.so.1()(64bit)
    libvtkImagingMath.so.1()(64bit)
    libvtkImagingMorphological.so.1()(64bit)
    libvtkImagingSources.so.1()(64bit)
    libvtkImagingStatistics.so.1()(64bit)
    libvtkImagingStencil.so.1()(64bit)
    libvtkInfovisCore.so.1()(64bit)
    libvtkInfovisLayout.so.1()(64bit)
    libvtkInteractionImage.so.1()(64bit)
    libvtkInteractionStyle.so.1()(64bit)
    libvtkInteractionWidgets.so.1()(64bit)
    libvtkLocalExample.so.1()(64bit)
    libvtkParallelCore.so.1()(64bit)
    libvtkRenderingAnnotation.so.1()(64bit)
    libvtkRenderingContext2D.so.1()(64bit)
    libvtkRenderingCore.so.1()(64bit)
    libvtkRenderingFreeType.so.1()(64bit)
    libvtkRenderingFreeTypeOpenGL.so.1()(64bit)
    libvtkRenderingGL2PS.so.1()(64bit)
    libvtkRenderingImage.so.1()(64bit)
    libvtkRenderingLIC.so.1()(64bit)
    libvtkRenderingLOD.so.1()(64bit)
    libvtkRenderingLabel.so.1()(64bit)
    libvtkRenderingOpenGL.so.1()(64bit)
    libvtkRenderingQt.so.1()(64bit)
    libvtkRenderingVolume.so.1()(64bit)
    libvtkRenderingVolumeAMR.so.1()(64bit)
    libvtkRenderingVolumeOpenGL.so.1()(64bit)
    libvtkTestingRendering.so.1()(64bit)
    libvtkViewsContext2D.so.1()(64bit)
    libvtkViewsCore.so.1()(64bit)
    libvtkViewsGeovis.so.1()(64bit)
    libvtkViewsInfovis.so.1()(64bit)
    libvtkViewsQt.so.1()(64bit)
    libvtkWrappingJava.so.1()(64bit)
    libvtkWrappingPython27Core.so.1()(64bit)
    libvtkalglib.so.1()(64bit)
    libvtkexoIIc.so.1()(64bit)
    libvtkftgl.so.1()(64bit)
    libvtkmetaio.so.1()(64bit)
    libvtkproj4.so.1()(64bit)
    libvtksqlite.so.1()(64bit)
    libvtksys.so.1()(64bit)
    libvtkverdict.so.1()(64bit)
    libxml2.so.2()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    vtk



Provides
--------
statismo-devel:
    statismo-devel
    statismo-devel(x86-64)

statismo-doc:
    statismo-doc

statismo:
    libstatismo_VTK.so.0.10()(64bit)
    libstatismo_core.so.0.10()(64bit)
    statismo
    statismo(x86-64)



Source checksums
----------------
https://github.com/statismo/statismo/archive/v0.10.1.tar.gz :
  CHECKSUM(SHA256) this package     : 36a219c721e30c121b5d4d6b7df74fd7189f853db6b65fafcc6a2ced9276283e
  CHECKSUM(SHA256) upstream package : 36a219c721e30c121b5d4d6b7df74fd7189f853db6b65fafcc6a2ced9276283e
https://raw.githubusercontent.com/statismo/statismo/master/LICENSE :
  CHECKSUM(SHA256) this package     : c7cdb4b1767b6af2ee817753365e6d49b75611c620efa156fda057e2f5b27a86
  CHECKSUM(SHA256) upstream package : c7cdb4b1767b6af2ee817753365e6d49b75611c620efa156fda057e2f5b27a86


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -rn statismo-0.10.1-1.fc20.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 7 Arnaud Gelas 2014-12-10 10:10:55 UTC
I have fixed these issues in the latest version

https://dl.dropboxusercontent.com/u/15135983/statismo.spec
https://dl.dropboxusercontent.com/u/15135983/statismo-0.10.1-2.fc20.src.rpm

Thanks

Comment 8 Antonio Trande 2014-12-10 16:43:11 UTC
(In reply to Arnaud Gelas from comment #7)
> I have fixed these issues in the latest version
> 
> https://dl.dropboxusercontent.com/u/15135983/statismo.spec
> https://dl.dropboxusercontent.com/u/15135983/statismo-0.10.1-2.fc20.src.rpm
> 
> Thanks

Good!

Just some additional comments.

- I think that 'parallel make' macro will work on Fedora RPM build-system.

- devel sub-package does not need to contain LICENSE and Readme files because it depends by main package that already packages them. 

- Instead, doc sub-package must to list LICENSE by using %license macro because it does not require any other package to be installed.

- %dir %{_libdir}/cmake/

%dir macro defines the ownership of a directory but if you use 

  %{_libdir}/cmake/ 

the directory %{_libdir}/cmake and all files/directories within will be owned.

See http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership and in particular
http://fedoraproject.org/wiki/Packaging:UnownedDirectories

- Fix this warning
W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)

Comment 10 Antonio Trande 2014-12-12 18:37:53 UTC
**good**
%files
%doc ReadMe.md
%license LICENSE
%{_libdir}/*.so.*


**change**
%files doc
%doc ReadMe.md
%license LICENSE
%{_docdir}/%{name}/


**change**
%files devel
%{_libdir}/*.so
%{_libdir}/cmake/%{name}/
%{_includedir}/%{name}/


You need a sponsorship to complete this review. Please, read this guidelines http://fedoraproject.org/wiki/Package_Review_Process#Reviewer and http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

I suggest you comment/help on other Review Requests http://fedoraproject.org/PackageReviewStatus/NEW.html .

Comment 11 Arnaud Gelas 2014-12-15 08:16:23 UTC
Antonio,

Thank you very much for your (really appreciated) guidance. I'll follow these guidelines and instructions.

Here is the latest verison for reference:

https://dl.dropboxusercontent.com/u/15135983/statismo.spec
https://dl.dropboxusercontent.com/u/15135983/statismo-0.10.1-4.fc20.src.rpm

Best,
Arnaud

Comment 12 Michael Schwendt 2014-12-30 20:21:04 UTC
Consider pointing the "fedora-review" at this ticket: fedora-review -b 1171624

It performs a lot of package review tests on the src.rpm and any built rpms and presents a list of what other issues might be relevant.


> %files
> %doc ReadMe.md
> %license LICENSE
> %{_libdir}/*.so.*
> 
> %files doc
> %doc ReadMe.md
> %license LICENSE
> %{_docdir}/%{name}/

Caution! %doc plus %_docdir inside the same spec file is non-trivial since Fedora 20 and leads to duplication of files in subpackages:

  https://fedorahosted.org/fpc/ticket/338


> %files devel
> %{_libdir}/*.so
> %{_libdir}/cmake/%{name}/
> %{_includedir}/%{name}/

This would be a case of an "unowned directory" as hinted by Antonia in comment 8. You either need to include the directory %_libdir/cmake or "Requires: cmake" to pull in the ownership from that package. If statismo-devel can be used without CMake, including the directory is _okay_, see:

  http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

Also: https://lists.fedoraproject.org/pipermail/packaging/2014-December/010411.html

Comment 13 Michael Schwendt 2014-12-30 20:22:44 UTC
> Antonia

Hah! "Antonio", of course! ;-)  Been making awesome typos recently.

Comment 14 Arnaud Gelas 2015-01-14 07:16:59 UTC
Hi Michael,

Thanks for the review!

I have just uploaded new spec/srpm there:

https://dl.dropboxusercontent.com/u/15135983/statismo.spec
https://dl.dropboxusercontent.com/u/15135983/statismo-0.10.1-5.fc21.src.rpm

Best,
Arnaud

Comment 15 Michael Schwendt 2015-01-17 22:25:53 UTC
> %files
> %{_docdir}/%{name}/ReadMe.md
> %license LICENSE
> %{_libdir}/*.so.*

In this package, a directory entry for %{_docdir}/%{name} is missing.
https://fedoraproject.org/wiki/Packaging:UnownedDirectories


> %files doc
> %{_docdir}/%{name}/ReadMe.md
> %license LICENSE
> %{_docdir}/%{name}/

The line

  %{_docdir}/%{name}/

with or without a trailing-slash already includes %{_docdir}/%{name}  (regardless of whether it's a directory or a file) and all its contents, if it's a directory. That makes the line

  %{_docdir}/%{name}/ReadMe.md

superfluous.


> %files devel
> %{_libdir}/*.so
> dir %{_libdir}/cmake/%{name}/
> %{_libdir}/cmake/%{name}/
> %{_includedir}/%{name}/

Similarly here. The %dir line includes *only* a directory entry for %{_libdir}/cmake/%{name}, but none its contents. The line

  %{_libdir}/cmake/%{name}/

with or without a trailing-slash includes the directory and its contents. That makes the %dir line superfluous.

  https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
  https://fedoraproject.org/wiki/Packaging:UnownedDirectories

The "rpmls" command is very convenient for examining package contents. Give it a try. You can grep for "^d" and take a look at all directories in a package. That makes it easy to see whether parent/child directories are missing.


Plus, directory  %{_libdir}/cmake  is not included yet. That's the following case, if you don't want to add a strict dependency on cmake:

  https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function


$ rpmls -p statismo-doc-0.10.1-5.fc21.noarch.rpm 
drwxr-xr-x  /usr/share/doc/statismo
-rw-r--r--  /usr/share/doc/statismo/LICENSE
-rw-r--r--  /usr/share/doc/statismo/ReadMe.md
drwxr-xr-x  /usr/share/doc/statismo/html
drwxr-xr-x  /usr/share/licenses/statismo-doc
-rw-r--r--  /usr/share/licenses/statismo-doc/LICENSE

One can see the empty "html" directory and the duplicated LICENSE file.

$ rpmls -p statismo-devel-0.10.1-5.fc21.x86_64.rpm|grep ^d
drwxr-xr-x  /usr/include/statismo
drwxr-xr-x  /usr/include/statismo/ITK
drwxr-xr-x  /usr/include/statismo/VTK
drwxr-xr-x  /usr/include/statismo/core
drwxr-xr-x  /usr/lib64/cmake/statismo

Here there should be a 'd' entry for /usr/lib64/cmake as well.


> .../BUILD/statismo-0.10.1/modules/core/include/StatismoUtils.h:142:
> warning: the use of `tmpnam' is dangerous, better use `mkstemp'

        std::string tmpfilename = tmpnam(0);
        tmpfilename += extension;

Just curious: Are these tmp files opened in a safe way everywhere just to avoid the potential threat?

Comment 16 Miroslav Suchý 2015-10-20 21:08:37 UTC
Arnaud, any progress here?

Comment 17 Miroslav Suchý 2016-02-08 13:46:33 UTC
No response. Closing as dead review. If you ever want to continue, please resubmit.


Note You need to log in before you can comment on or make changes to this bug.